curl --request GET \
--url https://api.dooki.com.br/v2/{alias}/public/search/products/prices \
--header 'Content-Type: application/json' \
--data '
{
"context": "search",
"q": "smartphone",
"slug": "eletronicos",
"min": 100,
"max": 500,
"brand_id": [
1,
2,
3
],
"category_id": [
10,
12
],
"filter_id": [
5,
6
]
}
'import requests
url = "https://api.dooki.com.br/v2/{alias}/public/search/products/prices"
payload = {
"context": "search",
"q": "smartphone",
"slug": "eletronicos",
"min": 100,
"max": 500,
"brand_id": [1, 2, 3],
"category_id": [10, 12],
"filter_id": [5, 6]
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
context: 'search',
q: 'smartphone',
slug: 'eletronicos',
min: 100,
max: 500,
brand_id: [1, 2, 3],
category_id: [10, 12],
filter_id: [5, 6]
})
};
fetch('https://api.dooki.com.br/v2/{alias}/public/search/products/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"min": 0,
"max": 600
}
}Mostrar range de preços de produtos da loja
Retorna as Informações públicas dos preços dos produtos de uma loja
Path Parameters
Alias da loja
Body
Parâmetros para listagem de produtos com base no contexto e filtros.
Contexto da listagem: 'search' para busca por palavra-chave, 'category' para filtrar por categoria, 'collection' para coleção, 'promotion' para promoções.
search, category, collection, promotion "search"
Palavra-chave para busca. Obrigatório quando 'context' = 'search'.
"smartphone"
Identificador slug de categoria, coleção ou promoção. Obrigatório quando 'context' != 'search'.
"eletronicos"
Preço mínimo para filtro.
x >= 0100
Preço máximo para filtro.
x >= 0500
IDs das marcas dos produtos.
[1, 2, 3]
IDs das categorias dos produtos.
[10, 12]
IDs dos filtros dos produtos.
[5, 6]
Response
Informações públicas dos preços dos produtos da Loja
Faixa de preço mínima e máxima disponível.
Dados da faixa de preço dos produtos encontrados.
Show child attributes
Show child attributes
Was this page helpful?